Loading...
Searching...
No Matches
hash.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/string.h>`

Go to the source code of this file.

## Namespaces

namespace | BALL

## Functions

Specialized Hash Functions.
BALL_EXPORT HashIndex | BALL::hashPointer (void *const ptr)
BALL_EXPORT HashIndex | BALL::hashString (const char *str)
BALL_EXPORT HashIndex | BALL::hashPJWString (const char *str)
BALL_EXPORT HashIndex | BALL::hashElfString (const char *str)
template<typename T>
HashIndex | BALL::Hash (const T &key)
BALL_EXPORT HashIndex | BALL::Hash (const string &s)
BALL_EXPORT HashIndex | BALL::Hash (const String &s)
BALL_EXPORT HashIndex | BALL::Hash (void *const &ptr)
BALL_EXPORT HashIndex | BALL::getNextPrime (HashIndex l)